# Uses of Interface
org.picocontainer.lifecycle.LifecycleState

Packages that use LifecycleState
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.containers
Containers are the main user entry point for PicoContainer.
org.picocontainer.lifecycle
Alternative implementations of lifecycle strategy for use with a container.

## Uses of LifecycleState in org.picocontainer

Methods in org.picocontainer that return LifecycleState
Modifier and Type
Method
Description
`LifecycleState`
DefaultPicoContainer.`getLifecycleState()`
Allow querying of the current lifecycle state of a MutablePicoContainer.
`LifecycleState`
MutablePicoContainer.`getLifecycleState()`
Allow querying of the current lifecycle state of a MutablePicoContainer.
Methods in org.picocontainer with parameters of type LifecycleState
Modifier and Type
Method
Description
`void`
DefaultPicoContainer.`setLifecycleState(LifecycleState lifecycleState)`
`void`
MutablePicoContainer.`setLifecycleState(LifecycleState lifecycleState)`
To assist ThreadLocal usage, LifecycleState can be set.

## Uses of LifecycleState in org.picocontainer.containers

Methods in org.picocontainer.containers that return LifecycleState
Modifier and Type
Method
Description
`LifecycleState`
AbstractDelegatingMutablePicoContainer.`getLifecycleState()`
Allow querying of the current lifecycle state of a MutablePicoContainer.
Methods in org.picocontainer.containers with parameters of type LifecycleState
Modifier and Type
Method
Description
`void`
AbstractDelegatingMutablePicoContainer.`setLifecycleState(LifecycleState lifecycleState)`

## Uses of LifecycleState in org.picocontainer.lifecycle

Classes in org.picocontainer.lifecycle that implement LifecycleState
Modifier and Type
Class
Description
`class`
`DefaultLifecycleState`
Bean-like implementation of LifecycleState.